unit uEtcetra_PS_HTTPClient;
{< for Etcetra functions, methods, classes}

interface

uses
  System.SysUtils, System.Classes;

type
  TEtcetra = class(TDataModule)
  private
    { Private declarations }
  public

   class function GetFileSize(AFilePath: String): Int64;

  end;

//var
//  Etcetra: TEtcetra;

implementation

{%CLASSGROUP 'Vcl.Controls.TControl'}

{$R *.dfm}


{ TEtcetra }

class function TEtcetra.GetFileSize(AFilePath: String): Int64;
var
  FS: TFileStream;


begin


  try

     Result:=-1;

     FS := TFileStream.Create(AFilePath, fmOpenRead);

      try
        Result:=FS.Size;
      finally
        FS.Free;
      end;

  except

         on E:EStreamError do

         begin

         Result := -1;

          raise Exception.Create('This is EStreamError EClassName'+E.ClassName+' '
          +'EMessage '+E.Message);

         end;


  on E:Exception do

        begin
           Result := -1;




           raise Exception.Create(E.ClassName+' Exception Raised : '
         +#13#10+#13#10+E.Message);

        end;

  end;

end;
end.
